Jobs should checkout source in a subdirectory of the workspace to avoid polluting it with CI related files
Closed, DeclinedPublic

Description

T130207 is about a test in pywikibot/i18n falling because the CI job 'npm-node-4.3' creates a $WORKSPACE/log directory which pollute the sources.

We should get the repository(ies) checkout under a directory such as $WORKSPACE/src and run commands in there. Then if we want to generate build artifacts / log etc, people would reference ../log which is $WORKSPACE/log.

  • Move all jobs to clone under /src/
  • Document the workspace layout (/src/ and /log) somewhere
hashar created this task.Mar 17 2016, 2:03 PM
hashar added a comment.EditedMay 25 2016, 3:20 PM

Since https://gerrit.wikimedia.org/r/#/c/290690/ JJB has a default: use-remote-zuul-shallow-clone-to-src which causes the repo to be cloned under /src/

Have used it successfully for pywikibot/i18n in T130207.

We now should migrate all the jobs to use the same pattern and document it.

hashar updated the task description. (Show Details)May 25 2016, 10:02 PM

Change 290702 had a related patch set uploaded (by Paladox):
In node-4.3 clone under src

https://gerrit.wikimedia.org/r/290702

Paladox removed a subscriber: gerritbot.

Change 345539 had a related patch set uploaded (by Hashar):
[pywikibot/i18n@master] build: have banana linter to ignore log/

https://gerrit.wikimedia.org/r/345539

Change 345541 had a related patch set uploaded (by Hashar):
[integration/config@master] pywikibot/i18n: switch to node6

https://gerrit.wikimedia.org/r/345541

Change 345541 merged by jenkins-bot:
[integration/config@master] pywikibot/i18n: switch to node6

https://gerrit.wikimedia.org/r/345541

Change 345539 merged by jenkins-bot:
[pywikibot/i18n@master] build: have banana linter to ignore log/

https://gerrit.wikimedia.org/r/345539

hashar lowered the priority of this task from Normal to Low.EditedMar 30 2017, 12:52 PM

The banana linter in pywikibot/i18n now ignores /log.

Change 290702 abandoned by Paladox:
In node-4.3 clone under src

https://gerrit.wikimedia.org/r/290702

hashar closed this task as Declined.Oct 19 2017, 9:03 AM

With the migration toward containers, this is no more relevant.